class rRundata;
typedef rRundata * LPRRDATA;

// --------------------------------
// RUNNING OBJECT DATA STRUCTURE
// --------------------------------
// If you want to store anything between actions/conditions/expressions
// you should store it here

typedef struct tagRDATA
{
	#include "MagicRDATA.h"

	/* Map with the Key being an unsigned long (ID) and the
	content being pairs of bools (whether the condition was
	triggered) and unsigned longs (the # of times the condition
	was triggered consecutively) Also, why maps instead of
	vectors? Because if you access an element that doesn't
	exist, it doesn't crash like vectors love to do */
	map<unsigned long, pair<bool, unsigned long> >* Delays;
	//See Runtime.cpp : CreateRunObject, DestroyRunObject, HandleRunObject
	//See Main.cpp : Condition 0



} RUNDATA;
typedef	RUNDATA	* LPRDATA;

// --------------------------------
// EDITION OF OBJECT DATA STRUCTURE
// --------------------------------
// These values let you store data in your extension that will be saved in the MFA
// You should use these with properties

typedef struct tagEDATA_V1
{
	extHeader		eHeader;
//	short			swidth;
//	short			sheight;

} EDITDATA;
typedef EDITDATA * LPEDATA;
